<script>
	export let xScale;
	export let subplotLayout;
	export let clip_path_url;

	$: leftMargin = xScale.range()[0];
	$: rightMargin = xScale.range()[1];

	function getNested(obj, ...args) {
		return args.reduce((obj, level) => obj && obj[level], obj)
	}
	let annot_background_colors = getNested(subplotLayout, "annot_options", "annot_background_colors");
	if (!annot_background_colors) { annot_background_colors = []; }

	let annot_font_height = 11;
		// if (annot_text_items) {
		// 	console.log(annot_text_items);
		// 	; //Math.min(12, (subplotLayout.yScale(annot_text_items[0][0]) - subplotLayout.yScale(annot_text_items[1][0]))*0.7) + "px";
		// 	console.log(annot_font_height);
		// } else {
		// 	let annot_font_height = "10px";
		// }


</script>

<g class="optional_annotation_background">
    {#each annot_background_colors as annot_background_color}
		<rect x={leftMargin}
			  y={subplotLayout.yScale(annot_background_color.y1)}
			  width={rightMargin-leftMargin}
			  height={subplotLayout.yScale(annot_background_color.y0)-subplotLayout.yScale(annot_background_color.y1)}
			  fill={annot_background_color.color}
			  fill-opacity={annot_background_color.opacity}
			  clip-path={clip_path_url}/>
	{/each}
</g>
